# Uses of Class
org.springframework.cache.interceptor.CacheAspectSupport.CacheOperationMetadata

Packages that use CacheAspectSupport.CacheOperationMetadata
Package
Description
org.springframework.cache.interceptor
AOP-based solution for declarative caching demarcation.

## Uses of CacheAspectSupport.CacheOperationMetadata in org.springframework.cache.interceptor

Methods in org.springframework.cache.interceptor that return CacheAspectSupport.CacheOperationMetadata
Modifier and Type
Method
Description
`protected CacheAspectSupport.CacheOperationMetadata`
CacheAspectSupport.`getCacheOperationMetadata(CacheOperation operation, Method method, Class<?> targetClass)`
Return the `CacheAspectSupport.CacheOperationMetadata` for the specified operation.
Constructors in org.springframework.cache.interceptor with parameters of type CacheAspectSupport.CacheOperationMetadata
Modifier
Constructor
Description
``
`CacheOperationContext(CacheAspectSupport.CacheOperationMetadata metadata, Object[] args, Object target)`